Skip to main content

Projects

A Project is the next largest construct after Organization. It contains Devices, Releases, Events, Issues, Deployments, etc.

Route Parameters

The Project slug should be used whenever referencing a Project in an API or URL.

Request Schema

FieldTypeDescription
name
Required
StringName of the Project
Example: "Awesome Project"
slug
Required
StringA unique URL compatible slug
Example: "awesome-project"
platformStringThe platform of the Project
Example: nRF5x
osStringThe operating system of the Project
Example: FreeRTOS

Query Parameters

The following parameters can be used to filter Projects.

Query ParameterTypeDescription
nameString[]Name of the Project
Example: "Awesome%20Project"
platformString[]Platform of the Project
Example: "nRF5x"
osString[]Operating System of the Project
Example: "FreeRTOS"
Sort ParameterTypeDescription
created_dateDateTimeDate created

Response Schema

{
"data": {
"id": 1,
"created_date": "2019-01-19T05:01:13.000000+00:00",
"updated_date": "2019-01-19T05:01:13.000000+00:00",
"name": "Awesome Project",
"slug": "awesome-project",
"platform": "nRF5x",
"os": "FreeRTOS",
"api_key": "87c2ca9d3ec148ac82034fc2724ff614",
"count_devices": 47
}
}